CN Resolve should return a status of 303 on success

2012-01-25 04:06 - Dave Vieglais

Status: Closed Start date: 2012-01-25

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Story Points:    

Description

The CN resolve method (http://mule1.dataone.org/ArchitectureDocs-current/apis/CN_APIs.html#CNRead.resolve) should return a

HTTP status of 303 "See Other" on success.

The body of the message remains unchanged, and must be an ObjectLocationList structure on success.

Subtasks:

Task # 2261: java libclient should expect a 303 status for resolve response Closed

Task # 2260: Update CN service to return 303 on success for resolve Closed

Task # 2262: Python libclient should expect a http status of 303 on success of resolve. Closed

History

#1 - 2012-01-31 18:13 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position set to 1

#2 - 2012-02-09 19:37 - Robert Waltz

- Status changed from New to Closed
